import { MatchStoryResult, QpqFunctionRuntime } from 'quidproquo-core';
import { StorageDriveEvent, StorageDriveEventResponse } from 'quidproquo-webserver';
import { Context, S3Event } from 'aws-lambda';
export declare const GLOBAL_STORAGE_DRIVE_NAME: string;
export declare const GLOBAL_STORAGE_DRIVE_RUNTIME: QpqFunctionRuntime;
export type EventInput = [S3Event, Context];
export type EventOutput = void;
export type InternalEventRecord = StorageDriveEvent;
export type InternalEventOutput = StorageDriveEventResponse;
export type MatchResult = MatchStoryResult<any, any>;
