"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askConvertNeptuneRelationshipResultToGraphRelationshipResult = void 0;
const quidproquo_core_1 = require("quidproquo-core");
function* askConvertNeptuneRelationshipResultToGraphRelationshipResult(neptuneRelationshipResult) {
    return {
        $entityType: quidproquo_core_1.GraphEntityType.Relationship,
        $id: neptuneRelationshipResult['~id'],
        $start: neptuneRelationshipResult['~start'],
        $end: neptuneRelationshipResult['~end'],
        $type: neptuneRelationshipResult['~type'],
        $properties: neptuneRelationshipResult['~properties'],
    };
}
exports.askConvertNeptuneRelationshipResultToGraphRelationshipResult = askConvertNeptuneRelationshipResultToGraphRelationshipResult;
