"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKeyValueStoreActionProcessor = void 0;
const getKeyValueStoreDeleteActionProcessor_1 = require("./getKeyValueStoreDeleteActionProcessor");
const getKeyValueStoreGetActionProcessor_1 = require("./getKeyValueStoreGetActionProcessor");
const getKeyValueStoreQueryActionProcessor_1 = require("./getKeyValueStoreQueryActionProcessor");
const getKeyValueStoreScanActionProcessor_1 = require("./getKeyValueStoreScanActionProcessor");
const getKeyValueStoreUpdateActionProcessor_1 = require("./getKeyValueStoreUpdateActionProcessor");
const getKeyValueStoreUpsertActionProcessor_1 = require("./getKeyValueStoreUpsertActionProcessor");
const getKeyValueStoreActionProcessor = (qpqConfig, dynamicModuleLoader) => __awaiter(void 0, void 0, void 0, function* () {
    return (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (yield (0, getKeyValueStoreDeleteActionProcessor_1.getKeyValueStoreDeleteActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getKeyValueStoreGetActionProcessor_1.getKeyValueStoreGetActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getKeyValueStoreUpsertActionProcessor_1.getKeyValueStoreUpsertActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getKeyValueStoreUpdateActionProcessor_1.getKeyValueStoreUpdateActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getKeyValueStoreQueryActionProcessor_1.getKeyValueStoreQueryActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getKeyValueStoreScanActionProcessor_1.getKeyValueStoreScanActionProcessor)(qpqConfig, dynamicModuleLoader))));
});
exports.getKeyValueStoreActionProcessor = getKeyValueStoreActionProcessor;
