"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getApiGatewayEventHandler = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const getActionProcessor_1 = require("../getActionProcessor");
const getQpqLambdaRuntimeForEvent_1 = require("./helpers/getQpqLambdaRuntimeForEvent");
const getApiGatewayEventHandler = (dynamicModuleLoader, qpqConfig) => (0, getQpqLambdaRuntimeForEvent_1.getQpqLambdaRuntimeForEvent)(quidproquo_core_1.QpqRuntimeType.API, (event) => {
    console.log('event', JSON.stringify(event, null, 2));
    console.log(event);
    return {
        depth: 0,
        context: {},
    };
}, getActionProcessor_1.getApiGatewayApiEventEventProcessor, dynamicModuleLoader, qpqConfig);
exports.getApiGatewayEventHandler = getApiGatewayEventHandler;
