import { KvsUpdate, KvsUpdateActionType } from 'quidproquo-core';
import { AttributeValue } from '@aws-sdk/client-dynamodb';
interface ExpressionAttributeNameMap {
    [key: string]: string;
}
export declare const buildUpdateExpressionAttributeNames: (updates: KvsUpdate) => ExpressionAttributeNameMap;
export declare const buildUpdateExpressionAttributeValues: (updates: KvsUpdate) => {
    [key: string]: AttributeValue;
} | undefined;
export declare const buildDynamoUpdateExpressionForType: (type: KvsUpdateActionType, kvsUpdate: KvsUpdate) => string;
export declare const buildDynamoUpdateExpression: (updates: KvsUpdate) => string;
export {};
