import { actionResult, ConfigActionType, qpqCoreUtils, } from 'quidproquo-core';
const getProcessConfigGetGlobal = (qpqConfig) => {
    return async ({ globalName }) => {
        const globalValue = qpqCoreUtils.getGlobalConfigValue(qpqConfig, globalName);
        return actionResult(globalValue);
    };
};
export const getConfigGetGlobalActionProcessor = async (qpqConfig) => ({
    [ConfigActionType.GetGlobal]: getProcessConfigGetGlobal(qpqConfig),
});
