import { EitherActionResult, MatchStoryResult, StorySession } from 'quidproquo-core';
import { ExecuteServiceFunctionEvent } from 'quidproquo-webserver';
import { Context } from 'aws-lambda';
export type AnyExecuteServiceFunctionEventWithSession = ExecuteServiceFunctionEvent<any[]> & {
    storySession: StorySession;
};
export type EventInput = [AnyExecuteServiceFunctionEventWithSession, Context];
export type EventOutput = EitherActionResult<any>;
export type InternalEventRecord = ExecuteServiceFunctionEvent<any[]>;
export type InternalEventOutput = any;
export type MatchResult = MatchStoryResult<unknown, unknown>;
