import { qpqCoreUtils } from 'quidproquo-core';
import { getConfigRuntimeResourceNameFromConfigWithServiceOverride } from '../../../../awsNamingUtils';
export const resolveStorageDriveBucketName = (drive, qpqConfig) => {
    const storageDriveConfig = qpqCoreUtils.getStorageDriveByName(drive, qpqConfig);
    if (!storageDriveConfig) {
        throw new Error(`Could not find storage drive config for [${drive}]`);
    }
    return getConfigRuntimeResourceNameFromConfigWithServiceOverride(storageDriveConfig.owner?.resourceNameOverride || drive, qpqConfig, storageDriveConfig.owner?.module);
};
