import { Action, ActionProcessor, ActionRequester } from 'quidproquo-core';
import { GraphDatabaseForNeptuneActionType } from './GraphDatabaseForNeptuneActionType';
export type GraphDatabaseEndpoints = {
    readEndpoint?: string;
    writeEndpoint?: string;
};
export interface GraphDatabaseForNeptuneGetEndpointsActionPayload {
    graphDatabaseName: string;
}
export interface GraphDatabaseForNeptuneGetEndpointsAction extends Action<GraphDatabaseForNeptuneGetEndpointsActionPayload> {
    type: GraphDatabaseForNeptuneActionType.GetEndpoints;
    payload: GraphDatabaseForNeptuneGetEndpointsActionPayload;
}
export type GraphDatabaseForNeptuneGetEndpointsActionProcessor = ActionProcessor<GraphDatabaseForNeptuneGetEndpointsAction, GraphDatabaseEndpoints>;
export type GraphDatabaseForNeptuneGetEndpointsActionRequester = ActionRequester<GraphDatabaseForNeptuneGetEndpointsAction, GraphDatabaseEndpoints>;
