import { actionResult, GraphDatabaseActionType, } from 'quidproquo-core';
const getProcessInternalFieldNames = (qpqConfig) => {
    return async () => {
        return actionResult({
            internalEndNode: '`~end`',
            internalId: '`~id`',
            internalLabel: '`~label`',
            internalStartNode: '`~start`',
            internalType: '`~type`',
        });
    };
};
export const getGraphDatabaseInternalFieldNamesActionProcessor = async (qpqConfig) => ({
    [GraphDatabaseActionType.InternalFieldNames]: getProcessInternalFieldNames(qpqConfig),
});
