import { DynamicModuleLoader, QPQConfig } from 'quidproquo-core';
import { APIGatewayEventWebsocketRequestContextV2, APIGatewayProxyWebsocketEventV2WithRequestContext } from 'aws-lambda';
type ApiGatwayEventWebsocketWithIdentity = APIGatewayProxyWebsocketEventV2WithRequestContext<APIGatewayEventWebsocketRequestContextV2 & {
    identity: {
        sourceIp: string;
        userAgent: string;
    };
}>;
export declare const getApiGatwayEventWebsocketWithIdentity_websocketEvent: (dynamicModuleLoader: DynamicModuleLoader, qpqConfig: QPQConfig) => (event: ApiGatwayEventWebsocketWithIdentity, context: import("aws-lambda").Context) => Promise<any>;
export {};
