import { QpqRuntimeType } from 'quidproquo-core';
import { getSqsQueueEventProcessor } from '../getActionProcessor';
import { getQpqLambdaRuntimeForEvent } from '../lambdaHandlers/helpers/getQpqLambdaRuntimeForEvent';
import { dynamicModuleLoader } from './dynamicModuleLoader';
import { getQpqConfig } from './lambda-utils';
// Default executor
export const executeSQSEvent = getQpqLambdaRuntimeForEvent(QpqRuntimeType.QUEUE_EVENT, (event) => {
    return {
        depth: 0,
        context: {},
    };
}, getSqsQueueEventProcessor, dynamicModuleLoader, getQpqConfig());
