import { GetQueueUrlCommand } from '@aws-sdk/client-sqs';
export const getQueueUrl = async (queueName, sqsClient) => {
    const response = await sqsClient.send(new GetQueueUrlCommand({
        QueueName: queueName,
    }));
    return response.QueueUrl || '';
};
