import { MatchStoryResult } from 'quidproquo-core';
import { HTTPEvent, HTTPEventResponse, RouteOptions } from 'quidproquo-webserver';
import { APIGatewayEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
export type EventInput = [APIGatewayEvent, Context];
export type EventOutput = APIGatewayProxyResult;
export type InternalEventRecord = HTTPEvent;
export type InternalEventOutput = HTTPEventResponse;
export type MatchResult = MatchStoryResult<Record<string, string>, RouteOptions>;
