import { MatchStoryResult } from 'quidproquo-core';
import { SeoEvent, SeoEventResponse, SeoEventRouteParams, SeoQPQWebServerConfigSetting } from 'quidproquo-webserver';
import { CloudFrontRequestEvent, CloudFrontRequestResult, Context } from 'aws-lambda';
export type EventInput = [CloudFrontRequestEvent, Context];
export type EventOutput = CloudFrontRequestResult;
export type InternalEventRecord = SeoEvent<any>;
export type InternalEventOutput = SeoEventResponse;
export type MatchResult = MatchStoryResult<SeoEventRouteParams, SeoQPQWebServerConfigSetting>;
