"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askGraphDatabaseForNeptuneGetEndpoints = exports.GraphDatabaseForNeptuneGetEndpointsErrorTypeEnum = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const GraphDatabaseForNeptuneActionType_1 = require("./GraphDatabaseForNeptuneActionType");
exports.GraphDatabaseForNeptuneGetEndpointsErrorTypeEnum = (0, quidproquo_core_1.createErrorEnumForAction)(GraphDatabaseForNeptuneActionType_1.GraphDatabaseForNeptuneActionType.GetEndpoints, []);
function* askGraphDatabaseForNeptuneGetEndpoints(graphDatabaseName) {
    return yield {
        type: GraphDatabaseForNeptuneActionType_1.GraphDatabaseForNeptuneActionType.GetEndpoints,
        payload: {
            graphDatabaseName,
        },
    };
}
exports.askGraphDatabaseForNeptuneGetEndpoints = askGraphDatabaseForNeptuneGetEndpoints;
