"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGraphDatabaseActionProcessor = void 0;
const getGraphDatabaseExecuteOpenCypherQueryActionProcessor_1 = require("./getGraphDatabaseExecuteOpenCypherQueryActionProcessor");
const getGraphDatabaseInternalFieldNamesActionProcessor_1 = require("./getGraphDatabaseInternalFieldNamesActionProcessor");
const getGraphDatabaseActionProcessor = (qpqConfig, dynamicModuleLoader) => __awaiter(void 0, void 0, void 0, function* () {
    return (Object.assign(Object.assign({}, (yield (0, getGraphDatabaseExecuteOpenCypherQueryActionProcessor_1.getGraphDatabaseExecuteOpenCypherQueryActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getGraphDatabaseInternalFieldNamesActionProcessor_1.getGraphDatabaseInternalFieldNamesActionProcessor)(qpqConfig, dynamicModuleLoader))));
});
exports.getGraphDatabaseActionProcessor = getGraphDatabaseActionProcessor;
