"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLambdaEntries = exports.entryNames = void 0;
const path_1 = __importDefault(require("path"));
exports.entryNames = [
    'anyExecuteServiceFunctionEvent_serviceFunction',
    'apiGatewayEventHandler_redirect',
    'apiGatewayEventHandler',
    'apiGatwayEventWebsocketWithIdentity_websocketEvent',
    'cloudFrontRequestEvent_originRequest',
    'cloudFrontRequestEvent_viewerRequest',
    'customMessageTriggerEvent_customMessage',
    'customMessageTriggerEvent_defineAuthChallenge',
    'customMessageTriggerEvent_createAuthChallenge',
    'customMessageTriggerEvent_verifyAuthChallenge',
    'eventBridgeEvent_recurringSchedule',
    'eventBridgeEvent_stackDeploy',
    's3Event_fileEvent',
    'sqsEvent_queueEvent',
];
const getLambdaEntries = () => exports.entryNames.reduce((acc, name) => (Object.assign(Object.assign({}, acc), { [name]: path_1.default.join(__dirname, `./lambdas/${name}`) })), {});
exports.getLambdaEntries = getLambdaEntries;
