"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamicModuleLoader = void 0;
// @ts-expect-error - Special webpack file injected
const quidproquo_dynamic_loader_1 = require("quidproquo-dynamic-loader");
const dynamicModuleLoader = (modulePath) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, quidproquo_dynamic_loader_1.qpqDynamicModuleLoader)(modulePath);
});
exports.dynamicModuleLoader = dynamicModuleLoader;
