import { actionResult, EventActionType, } from 'quidproquo-core';
const getProcessGetRecords = (qpqConfig) => {
    return async ({ eventParams: [event, context] }) => {
        const internalEventRecord = {
            functionName: event.functionName,
            payload: event.payload,
        };
        return actionResult([internalEventRecord]);
    };
};
export const getEventGetRecordsActionProcessor = async (qpqConfig) => ({
    [EventActionType.GetRecords]: getProcessGetRecords(qpqConfig),
});
