import { createErrorEnumForAction } from 'quidproquo-core';
import { GraphDatabaseForNeptuneActionType } from './GraphDatabaseForNeptuneActionType';
export const GraphDatabaseForNeptuneGetEndpointsErrorTypeEnum = createErrorEnumForAction(GraphDatabaseForNeptuneActionType.GetEndpoints, []);
export function* askGraphDatabaseForNeptuneGetEndpoints(graphDatabaseName) {
    return yield {
        type: GraphDatabaseForNeptuneActionType.GetEndpoints,
        payload: {
            graphDatabaseName,
        },
    };
}
