import { ChangePasswordCommand, CognitoIdentityProviderClient } from '@aws-sdk/client-cognito-identity-provider';
import { createAwsClient } from '../createAwsClient';
export const changePassword = async (accessToken, previousPassword, proposedPassword, region) => {
    const cognitoClient = createAwsClient(CognitoIdentityProviderClient, {
        region,
    });
    const params = {
        AccessToken: accessToken,
        PreviousPassword: previousPassword,
        ProposedPassword: proposedPassword,
    };
    await cognitoClient.send(new ChangePasswordCommand(params));
};
