import { AdminSetUserPasswordCommand, CognitoIdentityProviderClient, } from '@aws-sdk/client-cognito-identity-provider';
import { createAwsClient } from '../createAwsClient';
export const setUserPassword = async (region, userPoolId, username, password) => {
    const cognitoClient = createAwsClient(CognitoIdentityProviderClient, {
        region,
    });
    // There has to be a better way than this?
    const passwordParams = {
        Password: password,
        Username: username,
        UserPoolId: userPoolId,
        Permanent: true,
    };
    await cognitoClient.send(new AdminSetUserPasswordCommand(passwordParams));
};
