import { qpqCoreUtils } from 'quidproquo-core';
import { getConfigRuntimeResourceNameFromConfig, getConfigRuntimeResourceNameFromConfigWithServiceOverride } from '../awsNamingUtils';
export const resolveResourceName = (resourceName, qpqConfig) => {
    return getConfigRuntimeResourceNameFromConfig(resourceName, qpqConfig);
};
export const resolveSecretKey = (secretName, qpqConfig) => {
    return getConfigRuntimeResourceNameFromConfig(secretName, qpqConfig);
};
export const resolveParameterKey = (parameterName, qpqConfig) => {
    const secretConfig = qpqCoreUtils.getParameterConfig(parameterName, qpqConfig);
    return getConfigRuntimeResourceNameFromConfigWithServiceOverride(secretConfig.owner?.resourceNameOverride || parameterName, qpqConfig, secretConfig.owner?.module);
};
